org.apache.ignite.internal.client

## Enum GridClientProtocol

- java.lang.Object
- - java.lang.Enum<GridClientProtocol>
  - - org.apache.ignite.internal.client.GridClientProtocol

All Implemented Interfaces:
  Serializable, Comparable<GridClientProtocol>

    public enum GridClientProtocol
    extends Enum<GridClientProtocol>

Protocol that will be used when client connections are created.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TCP` Communication via tcp binary protocol.

### Method Summary

Methods
`static GridClientProtocol` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridClientProtocol[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TCP

    public static final GridClientProtocol TCP

Communication via tcp binary protocol.

### Method Detail

#### values

    public static GridClientProtocol[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridClientProtocol c : GridClientProtocol.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridClientProtocol valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015